package com.jenny.advancedarrows.config;

import net.minecraftforge.common.ForgeConfigSpec;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.fml.event.config.ModConfigEvent;

import static com.jenny.advancedarrows.advancedArrows.MODID;

@Mod.EventBusSubscriber(modid = MODID, bus = Mod.EventBusSubscriber.Bus.MOD)
public class ConfigClient {
    private static final ForgeConfigSpec.Builder BUILDER = new ForgeConfigSpec.Builder();

    private static final ForgeConfigSpec.ConfigValue<Double> C_PARTICLE_PERCENT =
            BUILDER.comment("amount of particles to spawn (0.0 = None, 1.0 = normal, values higher are valid too)")
                    .define("arrowParticleCount", 1.0D);

    public static final ForgeConfigSpec SPEC = BUILDER.build();

    public static float particlePercent;

    @SubscribeEvent
    static void onLoad(final ModConfigEvent event)
    {
        particlePercent = C_PARTICLE_PERCENT.get().floatValue();
    }

    public static int calcPCount(int pCount) {
        return Math.round(pCount * particlePercent);
    }
}
